> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/shopping-carts/inline/use-cases/set-sale-source-in-the-inline-cart.md).

# Set sale source in the InLine Cart

## Overview

Use the Cart object to set a sale source for the InLine Cart by calling the `TwoCoInlineCart.cart.setSource(source)` method.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. In order to set sale source use`TwoCoInlineCart.cart.setSource('YouTube Channel')`.
5. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.setSource('YouTube Channel');
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After setting the sale source to the InLine cart using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/zVGOow>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-sale-source-in-the-inline-cart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
